package net.wanji.opt.service.strategy;

import com.github.pagehelper.PageInfo;
import net.wanji.opt.dto.IntegerIdsDTO;
import net.wanji.opt.dto.strategy.AddOrUpdateSceneDTO;
import net.wanji.opt.dto.strategy.QuerySceneDTO;
import net.wanji.opt.po.strategy.SceneStrategyIdeaPO;

/**
 * @author hanbing
 * @date 2023/1/12 15:12
 * @desc 策略管理-场景库接口服务
 */
public interface SceneService {

    void addOrUpdateScene(AddOrUpdateSceneDTO addOrUpdateSceneDTO);

    void deleteScene(IntegerIdsDTO integerIdsDTO);

    PageInfo<AddOrUpdateSceneDTO> queryScene(QuerySceneDTO querySceneDTO);

    /**
     * 通过场景编号获取当前执行的场景-策略-方法的id
     *
     * @param sceneNum
     * @return
     */
    SceneStrategyIdeaPO selectIdBySceneNum(Integer sceneNum);
}
